VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PerenGarden"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements Garden
Private pltShade As Plant, pltBorder As Plant, pltCenter As Plant

Private Sub Class_Initialize()
  Set pltShade = New Plant
  pltShade.init "Astilbe"
  Set pltBorder = New Plant
  pltBorder.init "Sedum"
  Set pltCenter = New Plant
  pltCenter.init "Dicentrum"
End Sub

Private Function Garden_getBorder() As Plant
  Set Garden_getBorder = pltBorder
End Function

Private Function Garden_getCenter() As Plant
  Set Garden_getCenter = pltCenter
End Function

Private Function Garden_getShade() As Plant
  Set Garden_getShade = pltShade
End Function
